Bug 24438 - urpmi.addmedia --distrib adds repositories with "Core 32bit Release" and "Core 32bit Updates" disabled while Nonfree/Tainted 32bit are enabled, causing problems when updating 32bit packages
Summary: urpmi.addmedia --distrib adds repositories with "Core 32bit Release" and "Cor...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: Release (media or process) (show other bugs)
Version: 6
Hardware: All Linux
Priority: High critical
Target Milestone: ---
Assignee: Mageia tools maintainers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-27 20:58 CET by PC LX
Modified: 2019-09-20 23:41 CEST (History)
6 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description PC LX 2019-02-27 20:58:41 CET
Description of problem:

As the summary says, cauldron repositories have "ignored by default" the repositories "Core 32bit Release" and "Core 32bit Updates".
This causes problems when updating 32bit packages.

This issue does not happen when setting up the Mageia 6 repositories.


$ urpmi.addmedia --distrib http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/
adding medium "Core Release"
adding medium "Core Release Debug" (ignored by default)
adding medium "Core Updates"
adding medium "Core Updates Debug" (ignored by default)
adding medium "Core Updates Testing" (ignored by default)
adding medium "Core Updates Testing Debug" (ignored by default)
adding medium "Core Backports" (ignored by default)
adding medium "Core Backports Debug" (ignored by default)
adding medium "Core Backports Testing" (ignored by default)
adding medium "Core Backports Testing Debug" (ignored by default)
adding medium "Nonfree Release"
adding medium "Nonfree Release Debug" (ignored by default)
adding medium "Nonfree Updates"
adding medium "Nonfree Updates Debug" (ignored by default)
adding medium "Nonfree Updates Testing" (ignored by default)
adding medium "Nonfree Updates Testing Debug" (ignored by default)
adding medium "Nonfree Backports" (ignored by default)
adding medium "Nonfree Backports Debug" (ignored by default)
adding medium "Nonfree Backports Testing" (ignored by default)
adding medium "Nonfree Backports Testing Debug" (ignored by default)
adding medium "Tainted Release"
adding medium "Tainted Release Debug" (ignored by default)
adding medium "Tainted Updates"
adding medium "Tainted Updates Debug" (ignored by default)
adding medium "Tainted Updates Testing" (ignored by default)
adding medium "Tainted Updates Testing Debug" (ignored by default)
adding medium "Tainted Backports" (ignored by default)
adding medium "Tainted Backports Debug" (ignored by default)
adding medium "Tainted Backports Testing" (ignored by default)
adding medium "Tainted Backports Testing Debug" (ignored by default)
adding medium "Core 32bit Release" (ignored by default)
adding medium "Core 32bit Updates" (ignored by default)
adding medium "Core 32bit Updates Testing" (ignored by default)
adding medium "Core 32bit Backports" (ignored by default)
adding medium "Core 32bit Backports Testing" (ignored by default)
adding medium "Nonfree 32bit Release"
adding medium "Nonfree 32bit Updates"
adding medium "Nonfree 32bit Updates Testing" (ignored by default)
adding medium "Nonfree 32bit Backports" (ignored by default)
adding medium "Nonfree 32bit Backports Testing" (ignored by default)
adding medium "Tainted 32bit Release"
adding medium "Tainted 32bit Updates"
adding medium "Tainted 32bit Updates Testing" (ignored by default)
adding medium "Tainted 32bit Backports" (ignored by default)
adding medium "Tainted 32bit Backports Testing" (ignored by default)
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/media/core/release/media_info/20190227-193350-synthesis.hdlist.cz
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/media/core/updates/media_info/20180118-182314-synthesis.hdlist.cz                                                                              
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/media/nonfree/release/media_info/20190227-171547-synthesis.hdlist.cz                                                                           
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/media/nonfree/updates/media_info/20180118-182300-synthesis.hdlist.cz                                                                           
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/media/tainted/release/media_info/20190226-191341-synthesis.hdlist.cz                                                                           
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/media/tainted/updates/media_info/20180118-182241-synthesis.hdlist.cz                                                                           
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/i586/media/nonfree/release/media_info/20190227-171546-synthesis.hdlist.cz                                                                             
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/i586/media/nonfree/updates/media_info/20180118-182300-synthesis.hdlist.cz                                                                             
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/i586/media/tainted/release/media_info/20190226-191338-synthesis.hdlist.cz                                                                             
    http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/i586/media/tainted/updates/media_info/20180118-182241-synthesis.hdlist.cz                                                                             



How reproducible:

Always.



Steps to Reproduce:
1. Run "urpmi.addmedia --distrib http://ftp.free.fr/mirrors/mageia.org/distrib/cauldron/x86_64/"
2. Look at the lines:
      adding medium "Core 32bit Release" (ignored by default)
      adding medium "Core 32bit Updates" (ignored by default)
Comment 1 Marja Van Waes 2019-02-28 19:25:57 CET
_All_ 32bit repositories should now be ignored by default for 64bit installs. If you need 32bit packages, you must manually enable the matching repositories

I'm not sure why this was changed, but I think it is a good idea because I've seen too many users getting in trouble with mixed 32bit/64bit systems

There's bug 24376 for the nonfree 32bit repositories that are still enabled. I just added to it that you showed that the tainted repos are still enabled, too.

Leaving this report open until it has been confirmed that this new behaviour has been added to the release notes for Mageia 7.

@ docteam

I hope you don't mind my assigning this report to you for that.

CC: (none) => marja11
Assignee: bugsquad => doc-bugs

Comment 2 PC LX 2019-02-28 20:33:59 CET
(In reply to Marja Van Waes from comment #1)
> _All_ 32bit repositories should now be ignored by default for 64bit
> installs.

Some of the 32bit repositories were NOT "ignored by default" so there is an issue either way.

> If you need 32bit packages, you must manually enable the matching
> repositories

The "steam" package was the one that caused me to notice this issue.

Don't know how common "steam" usage is, or more generally, or common is the usage of 64bit packages that depend on 32bit packages but having the 32bit repositories disabled may also cause trouble for users of those packages.

$ rpm -qi steam | egrep 'Name|Version|Release|Arch'
Name        : steam
Version     : 1.0.0.59
Release     : 1.mga7.nonfree
Architecture: x86_64
$ rpm -q --requires steam
gnu-free-mono-fonts
libcurl4
libdbus-glib1_2
libfreetype6
libmesagl1
libmesaglu1
libstdc++6
libudev1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
steam-udevrules
xz
zenity


> I'm not sure why this was changed, but I think it is a good idea because
> I've seen too many users getting in trouble with mixed 32bit/64bit systems
> 
> There's bug 24376 for the nonfree 32bit repositories that are still enabled.
> I just added to it that you showed that the tainted repos are still enabled,
> too.

Yes, in my tests, the nonfree and tainted 32bit were auto enabled.
Comment 3 Frank Griffin 2019-03-27 03:16:55 CET
Just noticed this myself.  It bites people in the ass because the Adobe Reader rpms can no longer be installed since they use the i586 versions of libxml2 and with this "enlightened" change those packages can no longer be found.  This is also the case for a number of non-MGA popular rpms to be found on the internet which require i586 support.

At the very least, this needs a prominent error notice complete with instructions for re-enabling the i586 repositories if they are wanted.  Preferably, this change should be reverted.

CC: (none) => ftg

Comment 4 Frank Griffin 2019-03-27 04:22:35 CET
Worse still, the lib64 versions of libxml2 apparently provide the dependencies that the Adobe rpm requires, so the rpm installs without error.  It fails silently when invoked via a GUI, and you only get errors you can deal with when you try to invoke "acroread" from a command line.

It's unclear whether these dependency errors are rooted in the Adobe rpm or the various MGA rpms.

This isn't just libxml2; libgdk-pixbuf and libgtk-x11 are also involved.
Rémi Verschelde 2019-09-08 12:10:32 CEST

Summary: Cauldron repositories have "ignored by default" set for the repositories "Core 32bit Release" and "Core 32bit Updates", causing problems when updating 32bit packages when doing "urpmi.addmedia --distrib URL_CAULDRON". => urpmi.addmedia --distrib adds repositories with "Core 32bit Release" and "Core 32bit Updates" disabled while Nonfree/Tainted 32bit are enabled, causing problems when updating 32bit packages

Comment 5 Rémi Verschelde 2019-09-08 12:14:39 CEST
I've seen this bug too upgrading a Mageia 6 to Mageia 7 manually, following the release notes instructions for urpmi upgrades.

`urpmi.addmedia --distrib --mirrorlist 'http://mirrors.mageia.org/api/mageia.7.$ARCH.list'` added all repos but did not enable Core 32bit Release and Updates, while it enabled Nonfree and Tained 32bit Release/Updates.

I fixed that before attempting the upgrade, but IMO this could cause upgrade failures for people using 32bit packages like Steam.

Several recent bug reports about people who could no longer use Steam after a Mesa upgrade on Mageia 7 showed that those users had Core 32bit Release and Updates disabled without being aware of it.

Raising priority accordingly and assigning to draktools team.

Severity: normal => critical
CC: (none) => thierry.vignaud, tmb
Priority: Normal => High
Whiteboard: (none) => MGA7TOO MGA6TOO
Assignee: doc-bugs => mageiatools

Comment 6 Rémi Verschelde 2019-09-20 10:43:04 CEST
Relevant code / recent change around this: http://gitweb.mageia.org/software/rpm/urpmi/commit/?id=3dfb4c7f7cb5d33cbc15f12041dc5d3ef4153294 which was meant to fix bug 24376.

As this reads, this commit might actually fix this issue by disabling Nonfree and Tainted 32bit, so it should possibly be backported for Mageia 6's urpmi? CC Martin.

Assuming that commit works as expected, I guess this bug is now specific to Mageia 6 as it should have been fixed in urpmi 8.116 (Mageia 7 has 8.118).

It's still a problem that it would automatically ignore 32bit even if you have 64bit packages with 32bit dependencies installed like steam or wine.

Version: Cauldron => 6
CC: (none) => mageia
Whiteboard: MGA7TOO MGA6TOO => (none)

Comment 7 Martin Whitaker 2019-09-20 23:41:57 CEST
(In reply to Rémi Verschelde from comment #6)
> Relevant code / recent change around this:
> http://gitweb.mageia.org/software/rpm/urpmi/commit/
> ?id=3dfb4c7f7cb5d33cbc15f12041dc5d3ef4153294 which was meant to fix bug
> 24376.
> 
> As this reads, this commit might actually fix this issue by disabling
> Nonfree and Tainted 32bit, so it should possibly be backported for Mageia
> 6's urpmi? CC Martin.

If backported, it would need to be made a bit more clever. When adding Mageia 6 media, where Core 32bit is still automatically enabled by the repo media.cfg, you'd still want the old behaviour.

Note You need to log in before you can comment on or make changes to this bug.